# -*- rpm-spec -*-
# $Id: pam-pgsql,v 1.3 2004/02/11 08:20:28 grigory Exp $

%define pkg_release alt2
%define pre_release 5

Name: pam-pgsql
Version: 0.5.2
%ifdef pre_release
Release: %pkg_release.%pre_release
%else
Release: %pkg_release
%endif

Summary: this module provides support to authenticate against PostgreSQL tables for PAM-enabled appliations
License: GPL
Group: System/Base
Url: http://sourceforge.net/projects/pam-pgsql/

%ifdef pre_release
Source0: %{name}_%version-%pre_release.tar.bz2
%else
Source0: %{name}_%version.orig.tar.bz2
%endif
Source1: pam_pgsql.conf

%define _pamdir %_sysconfdir/pam.d

Provides: pam_pgsql.so

BuildRequires: autoconf_2.5 libmhash-devel libpam-devel libpq3-devel postgresql-devel

%description
his module provides support to authenticate against PostgreSQL
tables for PAM-enabled appliations.

This module is based in part on the FreeBSD pam_unix module, and
the Debian pam_mysql module, but was written from scratch using
the two as a reference.

There is another pam_pgsql module, but the sources appear to have
vanished, hence this module.

%package smtp
Summary: smtp auth via pgsql (pam config file)
Group: System/Libraries
Requires: %name = %version-%release

%description smtp
This is default configuration file for authorize
smtp in postgersql database via pam_pgsql module

%prep
%setup -q -n %name-%version

# Fix postgresql include directory
%__subst 's|\(include/\)postgresql|\1pgsql|g' configure.in

# Fix install-modeule script (don't change owner, when install module)
%__subst 's|\(install -c -m 644\) -o root|\1|' install-module

%build
%__autoconf
%configure
%make_build
%make_build test

%install
%__mkdir_p %buildroot{/lib/security,%_sysconfdir,%_pamdir}
%makeinstall ROOTDIR=%buildroot/
%__install -m 0600 %SOURCE1 %buildroot%_sysconfdir/
%__cat <<EOF>%buildroot%_pamdir/smtp
#%PAM-1.0
auth     optional       pam_pgsql.so
account  required       pam_pgsql.so
EOF

%files
%doc CREDITS README TODO test
%attr(0644, root, root) /lib/security/pam_pgsql.so
%config(noreplace) %_sysconfdir/pam_pgsql.conf

%files smtp
%config(noreplace) %attr(0600, root, root) %_pamdir/smtp

%changelog
* Wed Feb 11 2004 Grigory Milev <week@altlinux.ru> 0.5.2-alt2.5
- fix provides, now provide pam_pgsql.so

* Mon Feb  9 2004 Grigory Milev <week@altlinux.ru> 0.5.2-alt1.5
- Initial build.



